<?php

declare(strict_types=1);

namespace App\Entity\AccessWish;

use ApiPlatform\Metadata\ApiResource;
use App\Entity\Organization\Organization;
// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * TODO: documenter.
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class AccessTmp
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne]
    private ?Organization $organization = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getOrganization(): ?Organization
    {
        return $this->organization;
    }

    public function setOrganization(?Organization $organization): self
    {
        $this->organization = $organization;

        return $this;
    }
}
